package com.goldenwater.slaj.hazard.service.impl;

import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.goldenwater.slaj.hazard.mapper.BisHazAssessMapper;
import com.goldenwater.slaj.hazard.domain.BisHazAssess;
import com.goldenwater.slaj.hazard.service.IBisHazAssessService;

/**
 * 危险源考核 服务层实现
 */
@Service
public class BisHazAssessServiceImpl implements IBisHazAssessService {

    @Autowired
    private BisHazAssessMapper bisHazAssessMapper;

    /**
     * 查询危险源考核信息
     * @param id 查询条件
     * @return 危险源考核信息
     */
    @Override
    public BisHazAssess selectBisHazAssessById(Long id) {
        return bisHazAssessMapper.selectBisHazAssessById(id);
    }

    /**
     * 查询危险源考核列表
     * @param bisHazAssess 危险源考核查询条件
     * @return 危险源考核集合
     */
    @Override
    public List<BisHazAssess> selectBisHazAssessList(BisHazAssess bisHazAssess) {
        return bisHazAssessMapper.selectBisHazAssessList(bisHazAssess);
    }

    /**
     * 新增危险源考核
     * @param bisHazAssess 危险源考核信息
     * @return 影响行数
     */
    @Override
    public int insertBisHazAssess(BisHazAssess bisHazAssess) {
        return bisHazAssessMapper.insertBisHazAssess(bisHazAssess);
    }

    /**
     * 修改危险源考核
     * @param bisHazAssess 危险源考核信息
     * @return 影响行数
     */
    @Override
    public int updateBisHazAssess(BisHazAssess bisHazAssess) {
        return bisHazAssessMapper.updateBisHazAssess(bisHazAssess);
    }

    /**
     * 删除危险源考核
     * @param id 危险源考核主键
     * @return 影响行数
     */
    @Override
    public int deleteBisHazAssessById(Long id) {
        return bisHazAssessMapper.deleteBisHazAssessById(id);
    }

    /**
     * 批量删除危险源考核
     * @param ids 危险源考核主键数组
     * @return 影响行数
     */
    @Override
    public int deleteBisHazAssessByIds(Long[] ids) {
        return bisHazAssessMapper.deleteBisHazAssessByIds(ids);
    }
}
